Summary: A small and simple but versatile text editor for X.
Name: gnotepad+
Version: 1.3.3
Release: 3
Group: Applications/Editors
Copyright: GPL
Url: http://gnotepad.sourceforge.net
Source: %{name}-%{version}.tar.gz
Patch0: gnotepad+-1.3.3-nobackupdir.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 1.2.0 glib >= 1.2.0


%description
Gnotepad+ is an easy-to-use, yet fairly feature-rich, simple text
editor for the X Window System and GTK+. Gnotepad+ is designed to be
as small as possible, while still providing many of the common
features found in a modern GUI-based text editor.

Install gnotepad+ if you need a small but capable text editor.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-docunload
make

%install
if [ -d %{buildroot} ]; then rm -r %{buildroot}; fi
%makeinstall

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO ChangeLog
%attr(0755,root,root) %{_bindir}/gnp
%{_mandir}/man1/gnp.*
%{_datadir}/gnome/apps/Applications/gnotepad+.desktop
%{_datadir}/gnome/help/gnotepad+
%{_datadir}/gnotepad+
%{_datadir}/locale/*/*/*

%clean
rm -r %{buildroot}

%changelog
* Mon Feb 19 2001 Tim Powers <timp@redhat.com>
- don't configure with docunload
- patched so that the backup dir cannot be selected by the user, this
  is to avoid errors when using rename() where the backup is on
  another device (bug 28233), this actually makes the app Do The Right
  Thing(tm).

* Thu Jan 04 2001 Preston Brown <pbrown@redhat.com>
- 1.3.3 fixes some i18n issues and other small buglets

* Wed Nov 29 2000 Tim Powers <timp@redhat.com>
- rebuilt for Powertools 7.1

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu Jun 15 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to version 1.3.1

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to version 1.3.0

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Jul 07 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.4

* Tue Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.3

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Fri Mar 12 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.2
- doesnt work with GNOME session management, disabling GNOME support

* Sun Mar 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.0

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file


